org.apache.tinkerpop.gremlin.process.computer.util

## Class ComputerGraph.ComputerVertexProperty<V>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.util.ComputerGraph.ComputerElement
  - - org.apache.tinkerpop.gremlin.process.computer.util.ComputerGraph.ComputerVertexProperty<V>

- All Implemented Interfaces:
    Element, Property<V>, WrappedElement<Element>, WrappedVertexProperty<VertexProperty<V>>, VertexProperty<V>
  Enclosing class:
    ComputerGraph

      public class ComputerGraph.ComputerVertexProperty<V>
      extends ComputerGraph.ComputerElement
      implements VertexProperty<V>, WrappedVertexProperty<VertexProperty<V>>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.VertexProperty

      `VertexProperty.Cardinality, VertexProperty.Exceptions`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.VertexProperty

      `DEFAULT_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComputerVertexProperty(VertexProperty<V> vertexProperty)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Vertex` | `element()` Gets the `Vertex` that owns this `VertexProperty`.
    `VertexProperty<V>` | `getBaseVertexProperty()`
    `boolean` | `isPresent()` Whether the property is empty or not.
    `String` | `key()` The key of the property.
    `<U> Iterator<Property<U>>` | `properties(String... propertyKeys)` Get an `Iterator` of properties where the `propertyKeys` is meant to be a filter on the available keys.
    `V` | `value()` The value of the property.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.computer.util.ComputerGraph.ComputerElement

      `equals, getBaseElement, graph, hashCode, id, keys, label, property, property, remove, toString, value, values`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.VertexProperty

      `empty, graph, label`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Property

      `ifPresent, orElse, orElseGet, orElseThrow, remove`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Element

      `id, keys, property, property, remove, value, values`

- - ### Constructor Detail

    - #### ComputerVertexProperty

          public ComputerVertexProperty(VertexProperty<V> vertexProperty)

  - ### Method Detail

    - #### key

          public String key()

      Description copied from interface: `Property`
      The key of the property.
      Specified by:
        `key` in interface `Property<V>`
      Returns:
        The property key

    - #### value

          public V value()
                  throws NoSuchElementException

      Description copied from interface: `Property`
      The value of the property.
      Specified by:
        `value` in interface `Property<V>`
      Returns:
        The property value
      Throws:
        `NoSuchElementException` - thrown if the property is empty

    - #### isPresent

          public boolean isPresent()

      Description copied from interface: `Property`
      Whether the property is empty or not.
      Specified by:
        `isPresent` in interface `Property<V>`
      Returns:
        True if the property exists, else false

    - #### element

          public Vertex element()

      Description copied from interface: `VertexProperty`
      Gets the `Vertex` that owns this `VertexProperty`.
      Specified by:
        `element` in interface `Property<V>`
      Specified by:
        `element` in interface `VertexProperty<V>`
      Returns:
        The element associated with this property (i.e. `Vertex`, `Edge`, or `VertexProperty`).

    - #### properties

          public <U> Iterator<Property<U>> properties(String... propertyKeys)

      Description copied from interface: `Element`
      Get an `Iterator` of properties where the `propertyKeys` is meant to be a filter on the available keys. If no keys are provide then return all the properties.
      Specified by:
        `properties` in interface `Element`
      Specified by:
        `properties` in interface `VertexProperty<V>`
      Overrides:
        `properties` in class `ComputerGraph.ComputerElement`

    - #### getBaseVertexProperty

          public VertexProperty<V> getBaseVertexProperty()

      Specified by:
        `getBaseVertexProperty` in interface `WrappedVertexProperty<VertexProperty<V>>`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.